| Elektra 0.11.0

Public Member Functions | List of all members
kdb::tools::Modules Class Reference

Allows one to load plugins. More...

`#include <modules.hpp>`

## Public Member Functions
PluginPtr | load (std::string const &pluginName)
PluginPtr | load (std::string const &pluginName, kdb::KeySet const &config)
PluginPtr | load (PluginSpec const &spec)

## Detailed Description

Allows one to load plugins.

## Member Function Documentation

## ◆ load() [1/3]

PluginPtr kdb::tools::Modules::load | ( | PluginSpec const & | spec | ) |

Returns
  a newly created plugin

## ◆ load() [2/3]

PluginPtr kdb::tools::Modules::load | ( | std::string const & | pluginName | ) |

Deprecated:
  do not use

## ◆ load() [3/3]

PluginPtr kdb::tools::Modules::load | ( | std::string const & | pluginName,
|  | kdb::KeySet const & | config
| ) |  |

Deprecated:
  do not use

The documentation for this class was generated from the following files:

- modules.hpp
- modules.cpp